require 'capybara/poltergeist'
session = Capybara::Session.new(:poltergeist)

if ARGV.empty?
  puts "Please give the url as argument"
  exit
end

timeout = 60
site = ARGV[0]
session.visit "https://tinypng.com/analyzer?#{site}"
begin
  Capybara.using_wait_time(timeout) { session.find('.doughnut') }
  size = session.find('.total-reduction p').text
  speed = session.find('.load-speed p').text
  puts "#{site}: Images can be compressed #{size}. This would make the site #{speed}ond(s) faster."
rescue Capybara::ElementNotFound => e
  puts "#{site} took to long to complete"
end
